## procuid procuid |

## Functions

void | glibtop_get_proc_uid ()
void | glibtop_get_proc_uid_l ()
void | glibtop_get_proc_uid_p ()
void | glibtop_get_proc_uid_s ()

## Types and Values

#define | GLIBTOP_PROC_UID_UID
#define | GLIBTOP_PROC_UID_EUID
#define | GLIBTOP_PROC_UID_GID
#define | GLIBTOP_PROC_UID_EGID
#define | GLIBTOP_PROC_UID_SUID
#define | GLIBTOP_PROC_UID_SGID
#define | GLIBTOP_PROC_UID_FSUID
#define | GLIBTOP_PROC_UID_FSGID
#define | GLIBTOP_PROC_UID_PID
#define | GLIBTOP_PROC_UID_PPID
#define | GLIBTOP_PROC_UID_PGRP
#define | GLIBTOP_PROC_UID_SESSION
#define | GLIBTOP_PROC_UID_TTY
#define | GLIBTOP_PROC_UID_TPGID
#define | GLIBTOP_PROC_UID_PRIORITY
#define | GLIBTOP_PROC_UID_NICE
#define | GLIBTOP_PROC_UID_NGROUPS
#define | GLIBTOP_PROC_UID_GROUPS
#define | GLIBTOP_MAX_PROC_UID
struct | glibtop_proc_uid
#define | GLIBTOP_MAX_GROUPS
#define | glibtop_get_proc_uid_r

## Includes

    #include <glibtop/procuid.h>

## Description

## Functions

### glibtop_get_proc_uid ()

    void
    glibtop_get_proc_uid (glibtop_proc_uid *buf,
                          pid_t pid);

Get the process user id and tty information.

#### Parameters

buf | A location to return a glibtop_proc_uid |
pid | Process id to get the user and tty information |

### glibtop_get_proc_uid_l ()

    void
    glibtop_get_proc_uid_l (glibtop *server,
                            glibtop_proc_uid *buf,
                            pid_t pid);

### glibtop_get_proc_uid_p ()

    void
    glibtop_get_proc_uid_p (glibtop *server,
                            glibtop_proc_uid *buf,
                            pid_t pid);

### glibtop_get_proc_uid_s ()

    void
    glibtop_get_proc_uid_s (glibtop *server,
                            glibtop_proc_uid *buf,
                            pid_t pid);

## Types and Values

### GLIBTOP_PROC_UID_UID

    #define GLIBTOP_PROC_UID_UID		0

### GLIBTOP_PROC_UID_EUID

    #define GLIBTOP_PROC_UID_EUID		1

### GLIBTOP_PROC_UID_GID

    #define GLIBTOP_PROC_UID_GID		2

### GLIBTOP_PROC_UID_EGID

    #define GLIBTOP_PROC_UID_EGID		3

### GLIBTOP_PROC_UID_SUID

    #define GLIBTOP_PROC_UID_SUID		4

### GLIBTOP_PROC_UID_SGID

    #define GLIBTOP_PROC_UID_SGID		5

### GLIBTOP_PROC_UID_FSUID

    #define GLIBTOP_PROC_UID_FSUID		6

### GLIBTOP_PROC_UID_FSGID

    #define GLIBTOP_PROC_UID_FSGID		7

### GLIBTOP_PROC_UID_PID

    #define GLIBTOP_PROC_UID_PID		8

### GLIBTOP_PROC_UID_PPID

    #define GLIBTOP_PROC_UID_PPID		9

### GLIBTOP_PROC_UID_PGRP

    #define GLIBTOP_PROC_UID_PGRP		10

### GLIBTOP_PROC_UID_SESSION

    #define GLIBTOP_PROC_UID_SESSION 11

### GLIBTOP_PROC_UID_TTY

    #define GLIBTOP_PROC_UID_TTY		12

### GLIBTOP_PROC_UID_TPGID

    #define GLIBTOP_PROC_UID_TPGID		13

### GLIBTOP_PROC_UID_PRIORITY

    #define GLIBTOP_PROC_UID_PRIORITY 14

### GLIBTOP_PROC_UID_NICE

    #define GLIBTOP_PROC_UID_NICE		15

### GLIBTOP_PROC_UID_NGROUPS

    #define GLIBTOP_PROC_UID_NGROUPS    16

### GLIBTOP_PROC_UID_GROUPS

    #define GLIBTOP_PROC_UID_GROUPS     17

### GLIBTOP_MAX_PROC_UID

    #define GLIBTOP_MAX_PROC_UID		18

### struct glibtop_proc_uid

    struct glibtop_proc_uid {
    	guint64 flags;
    	gint32 uid;		/* user id */
    	gint32 euid;		/* effective user id */
    	gint32 gid;		/* group id */
    	gint32 egid;		/* effective group id */
    	gint32 suid;       /* set user id */
    	gint32 sgid;       /* set group id */
    	gint32 fsuid;      /* ??? user id */
    	gint32 fsgid;      /* ??? group id */
    	gint32 pid;		/* process id */
    	gint32 ppid;		/* pid of parent process */
    	gint32 pgrp;		/* process group id */
    	gint32 session; /* session id */
    	gint32 tty;		/* full device number of controlling terminal */
    	gint32 tpgid;		/* terminal process group id */
    	gint32 priority; /* kernel scheduling priority */
    	gint32 nice;		/* standard unix nice level of process */
    	gint32 ngroups;
    	gint32 groups [GLIBTOP_MAX_GROUPS];
    };

### GLIBTOP_MAX_GROUPS

    #define GLIBTOP_MAX_GROUPS          64

### glibtop_get_proc_uid_r

    #define glibtop_get_proc_uid_r		glibtop_get_proc_uid_p